VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Test"
   ClientHeight    =   6990
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   9810
   LinkTopic       =   "Form1"
   ScaleHeight     =   6990
   ScaleWidth      =   9810
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdPovratNovca 
      Caption         =   "Povrat novca"
      Height          =   855
      Left            =   3000
      TabIndex        =   10
      Top             =   5280
      Width           =   2415
   End
   Begin VB.CommandButton cmdUnosNovca 
      Caption         =   "Unos novca"
      Height          =   855
      Left            =   240
      TabIndex        =   9
      Top             =   5280
      Width           =   2415
   End
   Begin VB.CommandButton cmdStampatiNefiskalniText 
      Caption         =   "tampati nefiskalni tekst"
      Height          =   855
      Left            =   240
      TabIndex        =   8
      Top             =   4080
      Width           =   2415
   End
   Begin VB.CommandButton cmdPeriodicniIzvjestaj 
      Caption         =   "tampati periodini izvjetaj"
      Height          =   855
      Left            =   5760
      TabIndex        =   7
      Top             =   2760
      Width           =   2415
   End
   Begin VB.CommandButton cmdPresjekStanja 
      Caption         =   "tampati presjek stanja"
      Height          =   855
      Left            =   3000
      TabIndex        =   6
      Top             =   2760
      Width           =   2415
   End
   Begin VB.CommandButton cmdDnevniIzvjestaj 
      Caption         =   "tampati dnevni izvjetaj"
      Height          =   855
      Left            =   240
      TabIndex        =   5
      Top             =   2760
      Width           =   2415
   End
   Begin VB.CommandButton cmdUnosReklamiranogRacuna 
      Caption         =   "Unos reklamiranog rauna"
      Height          =   855
      Left            =   5880
      TabIndex        =   4
      Top             =   1560
      Width           =   2415
   End
   Begin VB.CommandButton cmdFiskalniRacun 
      Caption         =   "Unos fiskalnog rauna - kompletno"
      Height          =   855
      Left            =   240
      TabIndex        =   3
      Top             =   1560
      Width           =   2415
   End
   Begin VB.CommandButton cmdCitajSveArtikle 
      Caption         =   "itanje svih artikala iz printera"
      Height          =   855
      Left            =   5880
      TabIndex        =   2
      Top             =   480
      Width           =   2415
   End
   Begin VB.CommandButton cmdGrupniUnosArtikala 
      Caption         =   "Grupni unos artikala"
      Height          =   855
      Left            =   3000
      TabIndex        =   1
      Top             =   480
      Width           =   2415
   End
   Begin VB.CommandButton cmdPojedinacniUnosArtikala 
      Caption         =   "Pojedinani unos artikala"
      Height          =   855
      Left            =   240
      TabIndex        =   0
      Top             =   480
      Width           =   2415
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private printer As TringFiskalniPrinter
Private blnStatus As Boolean

Private Sub cmdCitajSveArtikle_Click()

    If blnStatus = False Then
        blnStatus = printer.Inicijalizacija("localhost", 8085, 0, "0")
    End If
    
    If blnStatus Then
            
            'uitavanje artikala iz printera
            Set listaArtikala = printer.CitajArtikle(0, 16000)
            For i = 0 To listaArtikala.Ukupno - 1
                If Not listaArtikala.Artikal(i) Is Nothing Then
                    Debug.Print listaArtikala.Artikal(i).Naziv
                End If
            Next i

    Else
        'greka
        '....
    End If
    Set listaArtikala = Nothing

End Sub

Private Sub cmdDnevniIzvjestaj_Click()
    
    Dim odgovor As KasaOdgovor
    
    If blnStatus = False Then
        blnStatus = printer.Inicijalizacija("localhost", 8085, 0, "0")
    End If
    
    If blnStatus Then
            
            'komanda
            Set odgovor = printer.StampatiDnevniIzvjestaj()
            Call MsgBox(odgovor.VrstaOdgovora, vbOKOnly, "Info")
            
            
    Else
        'greka
        '....
    End If
    Set odgovor = Nothing
End Sub

Private Sub StampatiRacun(Optional ByVal fiskalniracun As Boolean = True)
    'Dim printer As TringFiskalniPrinter
    Dim odgovor As KasaOdgovor
    Dim status As StatusUredjaja
    Dim racun As racun
    Dim stavkaracuna As RacunStavka
    Dim kupac  As kupac
    Dim art As Artikal
    
    Dim i As Integer
    
    Dim adoRacun As New ADODB.Recordset
    Dim adoRacunStavke As New ADODB.Recordset
    
    Dim con As New ADODB.Connection
    With con
            .Provider = "MSDataShape"
            .Properties("Data Provider") = "Microsoft.Jet.OLEDB.4.0"
            .Properties("Data Source") = Replace("D:\PROJEKTI\Tring.Fiscal\Samples\VB6\pos.mdb", vbNullChar, "")
            .Properties("User ID").Value = "Admin"
    End With
    
   
    If blnStatus = False Then
        blnStatus = printer.Inicijalizacija("localhost", 8085, 0, "0")
    End If
    
    If blnStatus Then
        'server dostupan
            'nastavak koda
            'otvaranje konekcije
            Call con.Open
            Set adoRacun.ActiveConnection = con
            'zadavanje SQL naredbe
            adoRacun.Source = "SELECT KOMITENTI.JIB, KOMITENTI.NazivKomitenta, KOMITENTI.Adresa1, KOMITENTI.Adresa2, KOMITENTI.Adresa3, KOMITENTI.PDVbroj " + _
                            "FROM RACUNI INNER JOIN KOMITENTI ON RACUNI.Komitent = KOMITENTI.JIB " + _
                            "WHERE (((RACUNI.BrojRacuna)= 1));"  'moete koristiti parametar za broj rauna
                            
            Call adoRacun.Open
            Set kupac = New kupac
            With kupac
                    .IDbroj = adoRacun!JIB
                    .Naziv = adoRacun!NazivKomitenta
                    .Adresa = adoRacun!Adresa1
                    .postanskibroj = adoRacun!Adresa2
                    .grad = adoRacun!Adresa3
            End With
            
            'novi racun
            Set racun = New racun
            'dodjeljivanje kupca. Ako ne postoji ostaviti nothing null
            Set racun.kupac = kupac
            
            'dodavanje stavki na raun
            Set adoRacunStavke.ActiveConnection = con
            adoRacunStavke.Source = "SELECT RACUNI_STAVKE.BrojStavke, RACUNI_STAVKE.BrojRacuna, RACUNI_STAVKE.Artikal, RACUNI_STAVKE.Kolicina, RACUNI_STAVKE.Cijena, RACUNI_STAVKE.Rabat, ARTIKLI.Naziv, ARTIKLI.JM,  ARTIKLI.StopaPDV " & _
                                            "FROM RACUNI_STAVKE INNER JOIN ARTIKLI ON RACUNI_STAVKE.Artikal = ARTIKLI.Sifra " & _
                                            " where RACUNI_STAVKE.BrojRacuna=1" 'moe ii parametar
            adoRacunStavke.Open
            'uitavanje artikala iz recordseta u listu artikala
            For i = 0 To adoRacunStavke.RecordCount - 1
                'kreiranje novog artikla
                Set stavkaracuna = New RacunStavka
                Set art = New Artikal
                
                With art
                        .sifra = adoRacunStavke!Artikal
                        .Naziv = adoRacunStavke!Naziv
                        .JM = adoRacunStavke!JM
                        .Stopa = CInt(adoRacunStavke!StopaPDV)
                        .cijena = CDbl(adoRacunStavke!cijena)
                End With
                With stavkaracuna
                            Set .Artikal = art
                            'izbaeno od CTP2
                            '.SifraArtikla = adoRacunStavke!Artikal
                            .kolicina = CDbl(adoRacunStavke!kolicina)
                            'izbaeno od CTP2
                            '.Cijena = CDbl(adoRacunStavke!Cijena)
                            .rabat = CDbl(adoRacunStavke!rabat)
                End With
                'dodavanje artikla u listu
                Call racun.DodajStavkuRacuna(stavkaracuna)
                
                adoRacunStavke.MoveNext
            Next i
            'zatvaranje konekcije
            adoRacun.Close
            adoRacunStavke.Close
            Call con.Close
            
            'unijeti nain plaanja
            'kada je iznos 0 to znai kompletan iznos ide za tu vrstu plaanja
            'prema Zakonu, mora se omoguiti da jedan raun bude plaen na vie vrsta plaanja
            'npr. ako je iznos rauna 110 KM, treba omoguiti da 100 bude plaano Karticom a 10 u Gotovini
            'u sluaju reklamiranoga rauna dozvoljena je jedino vrsta plaanja GOTOVINA
            Call racun.DodajVrstuPlacanja(VrstePlacanja_Gotovina, 10)
            Call racun.DodajVrstuPlacanja(VrstePlacanja_Virman, 0)
            'stampati racun
            If fiskalniracun Then
                Set odgovor = printer.StampatiFiskalniRacun(racun)
            Else
                Set odgovor = printer.StampatiReklamiraniRacun(racun)
            End If
            
            
            If odgovor.VrstaOdgovora = VrsteOdgovora_OK Then
                'raun uspjeno odtampan na fiskalnom printeru
                For i = 0 To odgovor.BrojOdgovora - 1
                    Debug.Print odgovor.OdgovorCom(i).Naziv & " : " & odgovor.OdgovorCom(i).Vrijednost
                    'If odgovor.OdgovorCom(i).Naziv = "BrojFiskalnogRacuna" Then
                        'insertovanje broja fiskalnog rauna u bazu
                        'broj fiskalnog rauna je obavezno prikazati na tampanoj A4 verziji rauna
                    '    Debug.Print (odgovor.OdgovorCom(i).Vrijednost)
                    'End If
                Next i
            End If
    Else
        'greka
        '....
    End If
    Set adoRacun = Nothing
    Set adoRacunStavke = Nothing
    Set con = Nothing
    'Set printer = Nothing
    Set odgovor = Nothing
End Sub

Private Sub cmdFiskalniRacun_Click()
    Call StampatiRacun(True)
End Sub

Private Sub cmdFiskalniRacunStavkaPoStavka_Click()
   'nije implementirano
End Sub

Private Sub cmdGrupniUnosArtikala_Click()

    Dim odgovor As KasaOdgovor
    Dim status As StatusUredjaja
    Dim listaArtikala As ArtikalList
    Dim i As Integer
    
    Dim ado As New ADODB.Recordset
    Dim con As New ADODB.Connection
    With con
            .Provider = "MSDataShape"
            .Properties("Data Provider") = "Microsoft.Jet.OLEDB.4.0"
            .Properties("Data Source") = Replace("D:\PROJEKTI\Tring.Fiscal\Samples\VB6\pos.mdb", vbNullChar, "")
            .Properties("User ID").Value = "Admin"
    End With

    Set odgovor = New KasaOdgovor
    
    If blnStatus = False Then
        blnStatus = printer.Inicijalizacija("localhost", 8085, 0, "0")
    End If
    
    If blnStatus Then
            'nastavak koda
            'otvaranje konekcije
            Call con.Open
            Set ado.ActiveConnection = con
            'zadavanje SQL naredbe
            ado.Source = "select * from ARTIKLI"
            Call ado.Open
            
            Set listaArtikala = New ArtikalList
            'uitavanje artikala iz recordseta u listu artikala
            For i = 0 To ado.RecordCount - 1
                'kreiranje novog artikla
                Set Artikal = New Artikal
                Artikal.sifra = ado!sifra
                Artikal.Naziv = ado!Naziv
                Artikal.JM = ado!JM
                Artikal.cijena = ado!cijena
                Artikal.Stopa = CInt(ado!StopaPDV)
                'dodavanje artikla u listu
                Call listaArtikala.Dodaj(Artikal)
                ado.MoveNext
            Next i
            'zatvaranje konekcije
            Call con.Close

            'upis artikala u fiskalni printer
            Set odgovor = printer.UpisiArtikle(listaArtikala)
            
            If odgovor.VrstaOdgovora = VrsteOdgovora_OK Then
                'artikal uspjeno prijavljen u fiskalni printer
                MsgBox ("OK")
            End If
    Else
        'greka
        '....
    End If
    
    Set odgovor = Nothing
End Sub


Private Sub cmdPeriodicniIzvjestaj_Click()
    Dim odgovor As KasaOdgovor
    
    If blnStatus = False Then
        blnStatus = printer.Inicijalizacija("localhost", 8085, 0, "0")
    End If
    
    If blnStatus Then
            
            'komanda
            Set odgovor = printer.StampatiPeriodicniIzvjestaj(Now, Now)
            Call MsgBox(odgovor.VrstaOdgovora, vbOKOnly, "Info")
            
            
    Else
        'greka
        '....
    End If
    Set odgovor = Nothing
End Sub

Private Sub cmdPojedinacniUnosArtikala_Click()
    
    'Dim printer As TringFiskalniPrinter
    Dim odgovor As KasaOdgovor
    Dim status As StatusUredjaja
    Dim listaArtikala As ArtikalList
    Dim i As Integer
    
    Dim ado As New ADODB.Recordset
    Dim con As New ADODB.Connection
    With con
            .Provider = "MSDataShape"
            .Properties("Data Provider") = "Microsoft.Jet.OLEDB.4.0"
            .Properties("Data Source") = Replace("D:\PROJEKTI\Tring.Fiscal\Samples\VB6\pos.mdb", vbNullChar, "")
            .Properties("User ID").Value = "Admin"
    End With
    
    Set odgovor = New KasaOdgovor
    
    If blnStatus = False Then
        blnStatus = printer.Inicijalizacija("localhost", 8085, 0, "0")
    End If
    
    If blnStatus Then
            'nastavak koda
            'otvaranje konekcije
            Call con.Open
            Set ado.ActiveConnection = con
            'zadavanje SQL naredbe
            ado.Source = "select * from ARTIKLI"
            Call ado.Open
            
            Set listaArtikala = New ArtikalList
            'uitavanje artikala iz recordseta u listu artikala
            For i = 0 To ado.RecordCount - 1
                'kreiranje novog artikla
                Set Artikal = New Artikal
                Artikal.sifra = ado!sifra
                Artikal.Naziv = ado!Naziv
                Artikal.JM = ado!JM
                Artikal.cijena = ado!cijena
                Artikal.Stopa = CInt(ado!StopaPDV)
                'upis artikala u fiskalni printer
                Set odgovor = printer.UpisiArtikal(Artikal)
                If odgovor.VrstaOdgovora = VrsteOdgovora_OK Then
                    'artikal uspjeno prijavljen u fiskalni printer
                    Debug.Print Artikal.sifra & ":" & OK
                End If
                ado.MoveNext
            Next i
            'zatvaranje konekcije
            Call con.Close
    Else
        'greka
        '....
    End If
    
    Set odgovor = Nothing
End Sub



Private Sub cmdPovratNovca_Click()
    Dim odgovor As KasaOdgovor
    
    If blnStatus = False Then
        blnStatus = printer.Inicijalizacija("localhost", 8085, 0, "0")
    End If
    
    If blnStatus Then
            
            'komanda
            Set odgovor = printer.PovratNovca(VrstePlacanja_Cek, 100)
            Call MsgBox(odgovor.VrstaOdgovora, vbOKOnly, "Info")
            
            
    Else
        'greka
        '....
    End If
    Set odgovor = Nothing
End Sub

Private Sub cmdPresjekStanja_Click()
    Dim odgovor As KasaOdgovor
    
    If blnStatus = False Then
        blnStatus = printer.Inicijalizacija("localhost", 8085, 0, "0")
    End If
    
    If blnStatus Then
            
            'komanda
            Set odgovor = printer.StampatiPresjekStanja()
            Call MsgBox(odgovor.VrstaOdgovora, vbOKOnly, "Info")
            
            
    Else
        'greka
        '....
    End If
    Set odgovor = Nothing
End Sub

Private Sub cmdStampatiNefiskalniText_Click()
    Dim odgovor As KasaOdgovor
    
    If blnStatus = False Then
        blnStatus = printer.Inicijalizacija("localhost", 8085, 0, "0")
    End If
    
    If blnStatus Then
            
            'komanda
            Set odgovor = printer.StampatiNefiskalniDokument("ovo je nefiskalni tekst")
            Call MsgBox(odgovor.VrstaOdgovora, vbOKOnly, "Info")
            
            
    Else
        'greka
        '....
    End If
    Set odgovor = Nothing
End Sub

Private Sub cmdUnosNovca_Click()
    Dim odgovor As KasaOdgovor
    
    If blnStatus = False Then
        blnStatus = printer.Inicijalizacija("localhost", 8085, 0, "0")
    End If
    
    If blnStatus Then
            
            'komanda
            Set odgovor = printer.UnosNovca(VrstePlacanja_Gotovina, 100)
            
            Call MsgBox(odgovor.VrstaOdgovora, vbOKOnly, "Info")
            
            
    Else
        'greka
        '....
    End If
    Set odgovor = Nothing
End Sub

Private Sub cmdUnosReklamiranogRacuna_Click()
    Call StampatiRacun(False)
End Sub



Private Sub Form_Load()
    Set printer = New TringFiskalniPrinter
    blnStatus = printer.Inicijalizacija("localhost", 8085, 0, "0")
    
End Sub
